%div
  - # ruleid: button-class-haml-rb
  .gl-button
    I am such a bad button
  - # ruleid: okay-button-view-component-haml
  = render Pajamas::ButtonComponent.new
  - # ruleid: okay-button-view-component-haml
  = link_button_to _('Foo'), some_path, variant: :confirm
  - # ruleid: okay-button-view-component-haml, button-class-haml-rb
  = link_button_to _('Bar'), some_path, class: 'btn gl-button btn-confirm'

  - # ruleid: button-class-haml-rb
  %button.gl-button.btn-info
  - # ruleid: button-class-haml-rb
  %button.gl-button.btn-warning
  - # ruleid: button-class-haml-rb
  %button.gl-button.btn-success

- # ok: button-class-haml-rb
= image_tag(icon_for_provider(provider), alt: label, title: "Sign in with #{label}", class: "gl-button-icon")

- # ruleid: button-form-submit, button-class-haml-rb
= field.submit s_('ClusterIntegration|Add Kubernetes cluster'), class: 'gl-button btn btn-confirm', data: { qa_selector: 'add_kubernetes_cluster_button' }

- # ruleid: okay-button-form-submit
= form.submit s_('ClusterIntegration|Add Kubernetes cluster'), pajamas_button: true, data: { qa_selector: 'add_kubernetes_cluster_button' }

- # Ignore buttons that should be covered by dropdown rules.
- # ok: button-class-haml-rb
%button.dropdown.dropdown-new.btn.gl-button.btn-default.has-tooltip{ type: 'button', 'data-toggle' => 'dropdown', title: s_('Environments|Deploy to...') }
- # ok: button-class-haml-rb
%button.gl-button{ type: 'button', 'data-toggle' => 'dropdown' }
- # ok: button-class-haml-rb
%button{ type: 'button', 'data-toggle' => 'dropdown', class: 'gl-button' }

- # ok: button-class-haml-rb
= f.submit _('Create project'), class: 'btn-block',
  pajamas_button: true,
  data: { testid: 'submit-button',
    track_experiment: 'default_to_import_tab',
    track_action: 'click_button',
    track_property: 'submit_button',
    track_label: @group_creation_tracking_label }
